.nav-link { transition: color 0.3s ease; border-bottom: 2px solid transparent; transition: .5s; }
.nav-link:hover { color: #198754 !important; }
/* Adiciona sublinhado na página ativa (exemplo) */
.nav-link:hover, .nav-link.active { color: #198754 !important; border-bottom: 2px solid #198754; }

/* Efeito de desfoque para o glassmorphism */
.backdrop-blur { backdrop-filter: blur(10px); -webkit-backdrop-filter: blur(10px); }
/* Ajuste para mobile */
@media (max-width: 768px) { .mb-n4 { position: relative !important; margin-top: 20px; } }

.error-message{
    display: block;
    width: 100%;
    margin-top: .25rem;
    font-size: .875em;
    color: var(--bs-form-invalid-color);
    font-weight: 600;
}

#toast-container > .toast {
    width: 400px !important;
    max-width: 400px !important;
    border-radius: 10px;
    font-size: 15px;
    padding: 18px 18px 18px 60px;
    box-shadow: 0 0.5rem 1rem rgba(0,0,0,.15);
}
#btnBackToTop {
    transition: opacity 0.5s ease, visibility 0.5s ease;
    opacity: 0;
    visibility: hidden;
}
#btnBackToTop.show {
    opacity: 1;
    visibility: visible;
}
#btnBackToTop i {
    font-size: 26px
}
.hover-link:hover { color: #198754 !important; transition: 0.3s; }

